Subject: [750] [747] Re: [744] Help installing wu-ftpd on an IBM RISC/6000 running AIX

From: [email-masked] (Frank Cusack Jr.)
Date: Fri, 18 Nov 1994 17:35:53 -0500

At 12:54 PM 11/18/94, ISRL AIX Operator wrote:
>
>
>> Has anyone done this?  This system uses a secured password file.  We
>>have installed the software, but none
>> of the local users can FTP into the system.  Anyone have any
>>suggestions, hints or information?
>
>:) No, has nothing to do with that. isrl.cba.uni.edu runs an anonFTP server on
>RS/6000, AIX 3.2.0 (3.2.5 upgrade scheduled for next week) and we also support
>individual user logins.  All you need to do is create an /etc/shells with all
>the login shells used on your system.
>shadow passwd is irrelevant. Let me know if you need further assistance.
^^^^^^^^^^^^^^

You do need to make sure shadow passwd is defined in config.aix don't you?

--Frank

------------------------------------------------------------------------------
Frank Cusack Jr.| Procrastinator's Creed #11:
[email-masked] +- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
[email-masked] | I obey the law of inverse excuses which demands that the
-- -- -- -- -- -+ greater the task to be done, the more insignificant the work
Ask for pgp key | that must be done prior to beginning the greater task.
------------------------------------------------------------------------------

---

From: ISRL AIX Operator <[email-masked]>
Date: Sun, 20 Nov 1994 14:30:47 -0600 (CST)

> You do need to make sure shadow passwd is defined in config.aix don't you?

Nope, it works great on this system with 
#undef  SHADOW_PASSWORD
in the config.aix. So, I don't think you need to do that. I'd assume that 
the wu-ftpd doesn't do a direct lookup (opening /etc/passwd) anyways but uses
the library calls for receiving entries from the passwd database. (that's at 
least what would make most sense to me, I guess).

Chris

-- 
UNIX System Administator @ the Information Systems Research Lab (ISRL)
EMail: [email-masked],  URL: http://isrl.cba.uni.edu/
College of Business Administration, University of Northern Iowa, Cedar Falls, IA